MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007149ardourbugspublic2016-11-27 19:372017-01-05 05:21
Reporterrobsco 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.X git (version in description) 
Target VersionFixed in Version5.X git (version in description) 
Summary0007149: Duplicating tracks and selecting any option (copy, new empty or share) = only the currently active playlist being reproduced.
DescriptionArdour 5.4.463
"In a Land of Clear Colours"
(rev 5.4-470-ge9eea8d)
Intel 64-bit
Steps To ReproduceDuplicating tracks and selecting any of the three options (copy, new empty or share) results in only the currently active playlist being reproduced on the new, duplicated track.

For example, 2 playlists on track one. Duplicate track one with "copy playlists" and the resulting duplicated track only has one copied playlist; the currently active one on track one.
TagsNo tags attached.
Attached Files? file icon duplicate_multiple_playlists.mkv [^] (1,318,782 bytes) 2016-11-27 19:37

- Relationships

-  Notes
(0019076)
timbyr (developer)
2016-11-27 19:56

I can confirm this issue with Ardour version 5.4.470
(0019120)
timbyr (developer)
2016-12-05 22:47
edited on: 2016-12-05 22:48

There was a discussion on IRC and this behaviour of only copying the "active" playlist is intentional.

The issue is with the ambivalent wording in the dialog.

There was some consensus that changing the dialog to say:

For each Track:

[X] Copy Playlist
[ ] New Playlist
[ ] Share Playlist with original Track

That it would be clear what was intended.

(0019266)
timbyr (developer)
2017-01-05 05:21

This should now be resolved with changes to the Duplicate Track dialog in commit 05c2e4ef or nightly build >= 5.5.409

- Issue History
Date Modified Username Field Change
2016-11-27 19:37 robsco New Issue
2016-11-27 19:37 robsco File Added: duplicate_multiple_playlists.mkv
2016-11-27 19:56 timbyr Note Added: 0019076
2016-11-27 19:56 timbyr Status new => confirmed
2016-12-05 22:47 timbyr Note Added: 0019120
2016-12-05 22:48 timbyr Note Edited: 0019120 View Revisions
2017-01-05 05:21 timbyr Note Added: 0019266
2017-01-05 05:21 timbyr Status confirmed => resolved
2017-01-05 05:21 timbyr Fixed in Version => 5.X git (version in description)
2017-01-05 05:21 timbyr Resolution open => fixed
2017-01-05 05:21 timbyr Assigned To => timbyr


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker